Subject: [RAI] media-policy-dataset: <msrp-intermediary>

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Wed, 31 Aug 2011 14:37:25 -0400

Looking at section 5.4.3 of draft-ietf-sipping-media-policy-dataset,
I see that it is used to specify MSRP relays for MSRP streams.
The text says that there may be only one relay URI listed in the policy:

   The <msrp-intermediary> element MUST contain one <msrp-uri> element,
   and may contain zero or one each of the <shared-secret> and <user>
   elements.

And yet it RFC 4976 ("Relay Extensions for MSRP") seems to be explicitly
designed to support multiple relays.

It seems to me that the natural fix to this is to change "one" to "one or more"
in the above sentence.

Comments?

Dale